# Interface methods for submodule: BoundingBox
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: BoundingBox
class BoundingBoxProxy(_ObjectProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetPoints(self, arg0) -> None:
		""""""
		...

	def GetPoints(self):
		""""""
		...

	def ComputeCorners(self):
		""""""
		...

	def ComputeBoundingBox(self) -> bool:
		""""""
		...

	def GetBounds(self) -> Sequence[float]:
		""""""
		...

	def GetCenter(self) -> Sequence[float]:
		""""""
		...

	def GetMinimum(self) -> Sequence[float]:
		""""""
		...

	def SetMinimum(self, arg0: Sequence[float]) -> None:
		""""""
		...

	def GetMaximum(self) -> Sequence[float]:
		""""""
		...

	def SetMaximum(self, arg0: Sequence[float]) -> None:
		""""""
		...

	def ConsiderPoint(self, arg0: Sequence[float]) -> None:
		""""""
		...

	def GetDiagonalLength2(self) -> float:
		""""""
		...

	def IsInside(self, arg0: Sequence[float]) -> bool:
		""""""
		...

	def GetMTime(self) -> int:
		""""""
		...

	def DeepCopy(self):
		""""""
		...

